diff --git c/scala/math/Ordering$Char$.class w/scala/math/Ordering$Char$.class
index e20a83e3d1..1ed3b301e5 100644
--- c/scala/math/Ordering$Char$.class
+++ w/scala/math/Ordering$Char$.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //CharOrdering=class scala/math/Ordering$CharOrdering
 public abstract #= # of #; //CharOrdering$class=class scala/math/Ordering$CharOrdering$class of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public final class scala.math.Ordering$Char$ extends java.lang.Object implements scala.math.Ordering$CharOrdering,scala.ScalaObject{
+public final class scala.math.Ordering$Char$ extends java.lang.Object implements scala.math.Ordering$CharOrdering{
 public static final scala.math.Ordering$Char$ MODULE$;
   Signature: Lscala/math/Ordering$Char$;
 
diff --git c/scala/math/Ordering$CharOrdering.class w/scala/math/Ordering$CharOrdering.class
index b539040d69..f7a7ef610c 100644
--- c/scala/math/Ordering$CharOrdering.class
+++ w/scala/math/Ordering$CharOrdering.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //CharOrdering=class scala/math/Ordering$CharOrdering of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public interface scala.math.Ordering$CharOrdering extends scala.math.Ordering,scala.ScalaObject{
+public interface scala.math.Ordering$CharOrdering extends scala.math.Ordering{
 public abstract int compare(char, char);
   Signature: (CC)I
 
diff --git c/scala/math/Ordering$Double$.class w/scala/math/Ordering$Double$.class
index 1491f78bac..b4af64ca23 100644
--- c/scala/math/Ordering$Double$.class
+++ w/scala/math/Ordering$Double$.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //DoubleOrdering=class scala/math/Ordering$DoubleOrde
 public abstract #= # of #; //DoubleOrdering$class=class scala/math/Ordering$DoubleOrdering$class of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public final class scala.math.Ordering$Double$ extends java.lang.Object implements scala.math.Ordering$DoubleOrdering,scala.ScalaObject{
+public final class scala.math.Ordering$Double$ extends java.lang.Object implements scala.math.Ordering$DoubleOrdering{
 public static final scala.math.Ordering$Double$ MODULE$;
   Signature: Lscala/math/Ordering$Double$;
 
diff --git c/scala/math/Ordering$DoubleOrdering.class w/scala/math/Ordering$DoubleOrdering.class
index b5150a2923..02f521bb60 100644
--- c/scala/math/Ordering$DoubleOrdering.class
+++ w/scala/math/Ordering$DoubleOrdering.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //DoubleOrdering=class scala/math/Ordering$DoubleOrdering of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public interface scala.math.Ordering$DoubleOrdering extends scala.math.Ordering,scala.ScalaObject{
+public interface scala.math.Ordering$DoubleOrdering extends scala.math.Ordering{
 public abstract int compare(double, double);
   Signature: (DD)I
 
diff --git c/scala/math/Ordering$Float$.class w/scala/math/Ordering$Float$.class
index 63796b076a..390b0174c0 100644
--- c/scala/math/Ordering$Float$.class
+++ w/scala/math/Ordering$Float$.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //FloatOrdering=class scala/math/Ordering$FloatOrderi
 public abstract #= # of #; //FloatOrdering$class=class scala/math/Ordering$FloatOrdering$class of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public final class scala.math.Ordering$Float$ extends java.lang.Object implements scala.math.Ordering$FloatOrdering,scala.ScalaObject{
+public final class scala.math.Ordering$Float$ extends java.lang.Object implements scala.math.Ordering$FloatOrdering{
 public static final scala.math.Ordering$Float$ MODULE$;
   Signature: Lscala/math/Ordering$Float$;
 
diff --git c/scala/math/Ordering$FloatOrdering.class w/scala/math/Ordering$FloatOrdering.class
index 1f9178bce2..7dc7032637 100644
--- c/scala/math/Ordering$FloatOrdering.class
+++ w/scala/math/Ordering$FloatOrdering.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //FloatOrdering=class scala/math/Ordering$FloatOrdering of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public interface scala.math.Ordering$FloatOrdering extends scala.math.Ordering,scala.ScalaObject{
+public interface scala.math.Ordering$FloatOrdering extends scala.math.Ordering{
 public abstract int compare(float, float);
   Signature: (FF)I
 
diff --git c/scala/math/Ordering$Implicits$.class w/scala/math/Ordering$Implicits$.class
index d2ba4234a3..42dd426147 100644
--- c/scala/math/Ordering$Implicits$.class
+++ w/scala/math/Ordering$Implicits$.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //ExtraImplicits=class scala/math/Ordering$ExtraImpli
 public abstract #= # of #; //ExtraImplicits$class=class scala/math/Ordering$ExtraImplicits$class of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public final class scala.math.Ordering$Implicits$ extends java.lang.Object implements scala.math.Ordering$ExtraImplicits,scala.ScalaObject{
+public final class scala.math.Ordering$Implicits$ extends java.lang.Object implements scala.math.Ordering$ExtraImplicits{
 public static final scala.math.Ordering$Implicits$ MODULE$;
   Signature: Lscala/math/Ordering$Implicits$;
 
diff --git c/scala/math/Ordering$Int$.class w/scala/math/Ordering$Int$.class
index 7540394b95..896eb5ee5b 100644
--- c/scala/math/Ordering$Int$.class
+++ w/scala/math/Ordering$Int$.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //IntOrdering=class scala/math/Ordering$IntOrdering o
 public abstract #= # of #; //IntOrdering$class=class scala/math/Ordering$IntOrdering$class of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public final class scala.math.Ordering$Int$ extends java.lang.Object implements scala.math.Ordering$IntOrdering,scala.ScalaObject{
+public final class scala.math.Ordering$Int$ extends java.lang.Object implements scala.math.Ordering$IntOrdering{
 public static final scala.math.Ordering$Int$ MODULE$;
   Signature: Lscala/math/Ordering$Int$;
 
diff --git c/scala/math/Ordering$IntOrdering.class w/scala/math/Ordering$IntOrdering.class
index 2a25da48f4..1036d851a3 100644
--- c/scala/math/Ordering$IntOrdering.class
+++ w/scala/math/Ordering$IntOrdering.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //IntOrdering=class scala/math/Ordering$IntOrdering of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public interface scala.math.Ordering$IntOrdering extends scala.math.Ordering,scala.ScalaObject{
+public interface scala.math.Ordering$IntOrdering extends scala.math.Ordering{
 public abstract int compare(int, int);
   Signature: (II)I
 
diff --git c/scala/math/Ordering$Long$.class w/scala/math/Ordering$Long$.class
index 190444aba4..6954eb8f86 100644
--- c/scala/math/Ordering$Long$.class
+++ w/scala/math/Ordering$Long$.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //LongOrdering=class scala/math/Ordering$LongOrdering
 public abstract #= # of #; //LongOrdering$class=class scala/math/Ordering$LongOrdering$class of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public final class scala.math.Ordering$Long$ extends java.lang.Object implements scala.math.Ordering$LongOrdering,scala.ScalaObject{
+public final class scala.math.Ordering$Long$ extends java.lang.Object implements scala.math.Ordering$LongOrdering{
 public static final scala.math.Ordering$Long$ MODULE$;
   Signature: Lscala/math/Ordering$Long$;
 
diff --git c/scala/math/Ordering$LongOrdering.class w/scala/math/Ordering$LongOrdering.class
index ea19115710..311af76279 100644
--- c/scala/math/Ordering$LongOrdering.class
+++ w/scala/math/Ordering$LongOrdering.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //LongOrdering=class scala/math/Ordering$LongOrdering of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public interface scala.math.Ordering$LongOrdering extends scala.math.Ordering,scala.ScalaObject{
+public interface scala.math.Ordering$LongOrdering extends scala.math.Ordering{
 public abstract int compare(long, long);
   Signature: (JJ)I
 
diff --git c/scala/math/Ordering$OptionOrdering.class w/scala/math/Ordering$OptionOrdering.class
index 0efdd6ecbf..9acd86bad2 100644
--- c/scala/math/Ordering$OptionOrdering.class
+++ w/scala/math/Ordering$OptionOrdering.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //OptionOrdering=class scala/math/Ordering$OptionOrdering of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public interface scala.math.Ordering$OptionOrdering extends scala.math.Ordering,scala.ScalaObject{
+public interface scala.math.Ordering$OptionOrdering extends scala.math.Ordering{
 public abstract scala.math.Ordering optionOrdering();
   Signature: ()Lscala/math/Ordering;
 
diff --git c/scala/math/Ordering$Short$.class w/scala/math/Ordering$Short$.class
index 470b9c0947..9a01757a3d 100644
--- c/scala/math/Ordering$Short$.class
+++ w/scala/math/Ordering$Short$.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //ShortOrdering=class scala/math/Ordering$ShortOrderi
 public abstract #= # of #; //ShortOrdering$class=class scala/math/Ordering$ShortOrdering$class of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public final class scala.math.Ordering$Short$ extends java.lang.Object implements scala.math.Ordering$ShortOrdering,scala.ScalaObject{
+public final class scala.math.Ordering$Short$ extends java.lang.Object implements scala.math.Ordering$ShortOrdering{
 public static final scala.math.Ordering$Short$ MODULE$;
   Signature: Lscala/math/Ordering$Short$;
 
diff --git c/scala/math/Ordering$ShortOrdering.class w/scala/math/Ordering$ShortOrdering.class
index 5da32f1285..2fec5db015 100644
--- c/scala/math/Ordering$ShortOrdering.class
+++ w/scala/math/Ordering$ShortOrdering.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //ShortOrdering=class scala/math/Ordering$ShortOrdering of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public interface scala.math.Ordering$ShortOrdering extends scala.math.Ordering,scala.ScalaObject{
+public interface scala.math.Ordering$ShortOrdering extends scala.math.Ordering{
 public abstract int compare(short, short);
   Signature: (SS)I
 
diff --git c/scala/math/Ordering$String$.class w/scala/math/Ordering$String$.class
index 541f759ef7..c24b17ff72 100644
--- c/scala/math/Ordering$String$.class
+++ w/scala/math/Ordering$String$.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //StringOrdering=class scala/math/Ordering$StringOrde
 public abstract #= # of #; //StringOrdering$class=class scala/math/Ordering$StringOrdering$class of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public final class scala.math.Ordering$String$ extends java.lang.Object implements scala.math.Ordering$StringOrdering,scala.ScalaObject{
+public final class scala.math.Ordering$String$ extends java.lang.Object implements scala.math.Ordering$StringOrdering{
 public static final scala.math.Ordering$String$ MODULE$;
   Signature: Lscala/math/Ordering$String$;
 
diff --git c/scala/math/Ordering$StringOrdering.class w/scala/math/Ordering$StringOrdering.class
index 78992a56ff..a8c46fc92e 100644
--- c/scala/math/Ordering$StringOrdering.class
+++ w/scala/math/Ordering$StringOrdering.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //StringOrdering=class scala/math/Ordering$StringOrdering of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public interface scala.math.Ordering$StringOrdering extends scala.math.Ordering,scala.ScalaObject{
+public interface scala.math.Ordering$StringOrdering extends scala.math.Ordering{
 public abstract int compare(java.lang.String, java.lang.String);
   Signature: (Ljava/lang/String;Ljava/lang/String;)I
 
diff --git c/scala/math/Ordering$Unit$.class w/scala/math/Ordering$Unit$.class
index a01aaacd2f..c039547d95 100644
--- c/scala/math/Ordering$Unit$.class
+++ w/scala/math/Ordering$Unit$.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //UnitOrdering=class scala/math/Ordering$UnitOrdering
 public abstract #= # of #; //UnitOrdering$class=class scala/math/Ordering$UnitOrdering$class of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public final class scala.math.Ordering$Unit$ extends java.lang.Object implements scala.math.Ordering$UnitOrdering,scala.ScalaObject{
+public final class scala.math.Ordering$Unit$ extends java.lang.Object implements scala.math.Ordering$UnitOrdering{
 public static final scala.math.Ordering$Unit$ MODULE$;
   Signature: Lscala/math/Ordering$Unit$;
 
diff --git c/scala/math/Ordering$UnitOrdering.class w/scala/math/Ordering$UnitOrdering.class
index 6948a731cf..b838fee232 100644
--- c/scala/math/Ordering$UnitOrdering.class
+++ w/scala/math/Ordering$UnitOrdering.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //UnitOrdering=class scala/math/Ordering$UnitOrdering of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public interface scala.math.Ordering$UnitOrdering extends scala.math.Ordering,scala.ScalaObject{
+public interface scala.math.Ordering$UnitOrdering extends scala.math.Ordering{
 public abstract int compare(scala.runtime.BoxedUnit, scala.runtime.BoxedUnit);
   Signature: (Lscala/runtime/BoxedUnit;Lscala/runtime/BoxedUnit;)I
 
diff --git c/scala/math/Ordering.class w/scala/math/Ordering.class
index 67a2532698..ac1364670a 100644
--- c/scala/math/Ordering.class
+++ w/scala/math/Ordering.class
@@ -43,7 +43,7 @@ public abstract #= # of #; //BooleanOrdering$class=class scala/math/Ordering$Boo
 public abstract #= # of #; //BigDecimalOrdering$class=class scala/math/Ordering$BigDecimalOrdering$class of class scala/math/Ordering
 
 Compiled from "Ordering.scala"
-public interface scala.math.Ordering extends java.util.Comparator,scala.math.PartialOrdering,scala.Serializable,scala.ScalaObject{
+public interface scala.math.Ordering extends java.util.Comparator,scala.math.PartialOrdering,scala.Serializable{
 public abstract scala.Some tryCompare(java.lang.Object, java.lang.Object);
   Signature: (Ljava/lang/Object;Ljava/lang/Object;)Lscala/Some;
 
diff --git c/scala/ref/PhantomReference.class w/scala/ref/PhantomReference.class
index bb6038de13..779e5a0d80 100644
--- c/scala/ref/PhantomReference.class
+++ w/scala/ref/PhantomReference.class
@@ -1,6 +1,6 @@
 
 Compiled from "PhantomReference.scala"
-public class scala.ref.PhantomReference extends java.lang.Object implements scala.ref.ReferenceWrapper,scala.ScalaObject{
+public class scala.ref.PhantomReference extends java.lang.Object implements scala.ref.ReferenceWrapper{
 private final java.lang.ref.PhantomReference underlying;
   Signature: Ljava/lang/ref/PhantomReference;
 
diff --git c/scala/ref/ReferenceWrapper.class w/scala/ref/ReferenceWrapper.class
index f88b4a52c7..c7570e5e4d 100644
--- c/scala/ref/ReferenceWrapper.class
+++ w/scala/ref/ReferenceWrapper.class
@@ -1,6 +1,6 @@
 
 Compiled from "ReferenceWrapper.scala"
-public interface scala.ref.ReferenceWrapper extends scala.ref.Reference,scala.Proxy,scala.ScalaObject{
+public interface scala.ref.ReferenceWrapper extends scala.ref.Reference,scala.Proxy{
 public abstract java.lang.ref.Reference underlying();
   Signature: ()Ljava/lang/ref/Reference;
 
diff --git c/scala/ref/SoftReference.class w/scala/ref/SoftReference.class
index 202a933b2f..2b7eb27583 100644
--- c/scala/ref/SoftReference.class
+++ w/scala/ref/SoftReference.class
@@ -1,6 +1,6 @@
 
 Compiled from "SoftReference.scala"
-public class scala.ref.SoftReference extends java.lang.Object implements scala.ref.ReferenceWrapper,scala.ScalaObject{
+public class scala.ref.SoftReference extends java.lang.Object implements scala.ref.ReferenceWrapper{
 private final java.lang.ref.SoftReference underlying;
   Signature: Ljava/lang/ref/SoftReference;
 
diff --git c/scala/ref/WeakReference.class w/scala/ref/WeakReference.class
index a12c6ee900..ee39a2fb1a 100644
--- c/scala/ref/WeakReference.class
+++ w/scala/ref/WeakReference.class
@@ -1,6 +1,6 @@
 
 Compiled from "WeakReference.scala"
-public class scala.ref.WeakReference extends java.lang.Object implements scala.ref.ReferenceWrapper,scala.ScalaObject{
+public class scala.ref.WeakReference extends java.lang.Object implements scala.ref.ReferenceWrapper{
 private final java.lang.ref.WeakReference underlying;
   Signature: Ljava/lang/ref/WeakReference;
 
diff --git c/scala/reflect/AnyValManifest.class w/scala/reflect/AnyValManifest.class
index 0635b4874c..93be91b28c 100644
--- c/scala/reflect/AnyValManifest.class
+++ w/scala/reflect/AnyValManifest.class
@@ -1,6 +1,6 @@
 
 Compiled from "Manifest.scala"
-public interface scala.reflect.AnyValManifest extends scala.reflect.Manifest,scala.Equals,scala.ScalaObject{
+public interface scala.reflect.AnyValManifest extends scala.reflect.Manifest{
 public abstract boolean $less$colon$less(scala.reflect.ClassManifest);
   Signature: (Lscala/reflect/ClassManifest;)Z
 
diff --git c/scala/reflect/ClassManifest.class w/scala/reflect/ClassManifest.class
index 78d432c0c7..1c89f24b2e 100644
--- c/scala/reflect/ClassManifest.class
+++ w/scala/reflect/ClassManifest.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //AbsType=class scala/reflect/api/Types$AbsType of class scala/reflect/api/Types
 
 Compiled from "ClassManifest.scala"
-public interface scala.reflect.ClassManifest extends scala.reflect.OptManifest,scala.Equals,scala.Serializable,scala.ScalaObject{
+public interface scala.reflect.ClassManifest extends scala.reflect.OptManifest,scala.Equals,scala.ScalaObject{
 public abstract java.lang.Class erasure();
   Signature: ()Ljava/lang/Class;
 
diff --git c/scala/reflect/ClassTypeManifest.class w/scala/reflect/ClassTypeManifest.class
index e99b07e5e4..e7ac21918b 100644
--- c/scala/reflect/ClassTypeManifest.class
+++ w/scala/reflect/ClassTypeManifest.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //AbsType=class scala/reflect/api/Types$AbsType of class scala/reflect/api/Types
 
 Compiled from "ClassManifest.scala"
-public class scala.reflect.ClassTypeManifest extends java.lang.Object implements scala.reflect.ClassManifest,scala.ScalaObject{
+public class scala.reflect.ClassTypeManifest extends java.lang.Object implements scala.reflect.ClassManifest{
 private final scala.Option prefix;
   Signature: Lscala/Option;
 
diff --git c/scala/reflect/Manifest$ClassTypeManifest.class w/scala/reflect/Manifest$ClassTypeManifest.class
index 6aec68c60f..0e9371b626 100644
--- c/scala/reflect/Manifest$ClassTypeManifest.class
+++ w/scala/reflect/Manifest$ClassTypeManifest.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //AbsSymbol=class scala/reflect/api/Symbols$AbsSymbol
 public #= # of #; //ClassTypeManifest=class scala/reflect/Manifest$ClassTypeManifest of class scala/reflect/Manifest
 
 Compiled from "Manifest.scala"
-public class scala.reflect.Manifest$ClassTypeManifest extends java.lang.Object implements scala.reflect.Manifest,scala.ScalaObject{
+public class scala.reflect.Manifest$ClassTypeManifest extends java.lang.Object implements scala.reflect.Manifest{
 private final scala.Option prefix;
   Signature: Lscala/Option;
 
diff --git c/scala/reflect/Manifest$SingletonTypeManifest.class w/scala/reflect/Manifest$SingletonTypeManifest.class
index 8132d404da..83abf4e392 100644
--- c/scala/reflect/Manifest$SingletonTypeManifest.class
+++ w/scala/reflect/Manifest$SingletonTypeManifest.class
@@ -6,7 +6,7 @@ public #= # of #; //SingletonTypeManifest=class scala/reflect/Manifest$Singleton
 public abstract #= # of #; //InstanceRefSymbolExtractor=class scala/reflect/api/RuntimeTypes$InstanceRefSymbolExtractor of class scala/reflect/api/RuntimeTypes
 
 Compiled from "Manifest.scala"
-public class scala.reflect.Manifest$SingletonTypeManifest extends java.lang.Object implements scala.reflect.Manifest,scala.ScalaObject{
+public class scala.reflect.Manifest$SingletonTypeManifest extends java.lang.Object implements scala.reflect.Manifest{
 private final java.lang.Object value;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/reflect/Manifest.class w/scala/reflect/Manifest.class
index 61d0ca77b7..144f8a555f 100644
--- c/scala/reflect/Manifest.class
+++ w/scala/reflect/Manifest.class
@@ -3,7 +3,7 @@ public #= # of #; //ClassTypeManifest=class scala/reflect/Manifest$ClassTypeMani
 public #= # of #; //SingletonTypeManifest=class scala/reflect/Manifest$SingletonTypeManifest of class scala/reflect/Manifest
 
 Compiled from "Manifest.scala"
-public interface scala.reflect.Manifest extends scala.reflect.ClassManifest,scala.Equals,scala.ScalaObject{
+public interface scala.reflect.Manifest extends scala.reflect.ClassManifest{
 public abstract scala.collection.immutable.List typeArguments();
   Signature: ()Lscala/collection/immutable/List;
 
diff --git c/scala/reflect/NoManifest$.class w/scala/reflect/NoManifest$.class
index 64c36b1510..71653c6d3e 100644
--- c/scala/reflect/NoManifest$.class
+++ w/scala/reflect/NoManifest$.class
@@ -1,6 +1,6 @@
 
 Compiled from "NoManifest.scala"
-public final class scala.reflect.NoManifest$ extends java.lang.Object implements scala.reflect.OptManifest,scala.Serializable,scala.ScalaObject{
+public final class scala.reflect.NoManifest$ extends java.lang.Object implements scala.reflect.OptManifest,scala.ScalaObject{
 public static final scala.reflect.NoManifest$ MODULE$;
   Signature: Lscala/reflect/NoManifest$;
 
diff --git c/scala/reflect/api/TreePrinters$RawTreePrinter.class w/scala/reflect/api/TreePrinters$RawTreePrinter.class
index 567a40df67..113b5546b3 100644
--- c/scala/reflect/api/TreePrinters$RawTreePrinter.class
+++ w/scala/reflect/api/TreePrinters$RawTreePrinter.class
@@ -4,7 +4,7 @@ public #= # of #; //RawTreePrinter=class scala/reflect/api/TreePrinters$RawTreeP
 public abstract #= # of #; //TreePrinter$class=class scala/reflect/api/TreePrinters$TreePrinter$class of class scala/reflect/api/TreePrinters
 
 Compiled from "TreePrinters.scala"
-public class scala.reflect.api.TreePrinters$RawTreePrinter extends java.lang.Object implements scala.reflect.api.TreePrinters$TreePrinter,scala.ScalaObject{
+public class scala.reflect.api.TreePrinters$RawTreePrinter extends java.lang.Object implements scala.reflect.api.TreePrinters$TreePrinter{
 public final java.io.PrintWriter scala$reflect$api$TreePrinters$RawTreePrinter$$out;
   Signature: Ljava/io/PrintWriter;
 
diff --git c/scala/reflect/api/Trees$Alternative.class w/scala/reflect/api/Trees$Alternative.class
index 4ffc948d76..ceca077bc6 100644
--- c/scala/reflect/api/Trees$Alternative.class
+++ w/scala/reflect/api/Trees$Alternative.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //TermTree=class scala/reflect/api/Trees$TermTree of
 public #= # of #; //Alternative=class scala/reflect/api/Trees$Alternative of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$Alternative extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$Alternative extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.Product,scala.Serializable{
 private final scala.collection.immutable.List trees;
   Signature: Lscala/collection/immutable/List;
 
diff --git c/scala/reflect/api/Trees$Annotated.class w/scala/reflect/api/Trees$Annotated.class
index bd63fb37e2..bd37afc3ff 100644
--- c/scala/reflect/api/Trees$Annotated.class
+++ w/scala/reflect/api/Trees$Annotated.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Tree=class scala/reflect/api/Trees$Tree of class sc
 public #= # of #; //Annotated=class scala/reflect/api/Trees$Annotated of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$Annotated extends scala.reflect.api.Trees$Tree implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$Annotated extends scala.reflect.api.Trees$Tree implements scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$Tree annot;
   Signature: Lscala/reflect/api/Trees$Tree;
 
diff --git c/scala/reflect/api/Trees$AppliedTypeTree.class w/scala/reflect/api/Trees$AppliedTypeTree.class
index 6844e69ec4..7723c5dc23 100644
--- c/scala/reflect/api/Trees$AppliedTypeTree.class
+++ w/scala/reflect/api/Trees$AppliedTypeTree.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //AbsSymbol=class scala/reflect/api/Symbols$AbsSymbol
 public #= # of #; //AppliedTypeTree=class scala/reflect/api/Trees$AppliedTypeTree of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$AppliedTypeTree extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TypTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$AppliedTypeTree extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TypTree,scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$Tree tpt;
   Signature: Lscala/reflect/api/Trees$Tree;
 
diff --git c/scala/reflect/api/Trees$Apply.class w/scala/reflect/api/Trees$Apply.class
index 0ad906d592..d9b0cd9f93 100644
--- c/scala/reflect/api/Trees$Apply.class
+++ w/scala/reflect/api/Trees$Apply.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //AbsSymbol=class scala/reflect/api/Symbols$AbsSymbol
 public abstract #= # of #; //GenericApply=class scala/reflect/api/Trees$GenericApply of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$Apply extends scala.reflect.api.Trees$GenericApply implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$Apply extends scala.reflect.api.Trees$GenericApply implements scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$Tree fun;
   Signature: Lscala/reflect/api/Trees$Tree;
 
diff --git c/scala/reflect/api/Trees$ApplyDynamic.class w/scala/reflect/api/Trees$ApplyDynamic.class
index 29f727f694..366f2c04c6 100644
--- c/scala/reflect/api/Trees$ApplyDynamic.class
+++ w/scala/reflect/api/Trees$ApplyDynamic.class
@@ -7,7 +7,7 @@ public #= # of #; //ApplyDynamic=class scala/reflect/api/Trees$ApplyDynamic of c
 public abstract #= # of #; //SymTree$class=class scala/reflect/api/Trees$SymTree$class of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$ApplyDynamic extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.reflect.api.Trees$SymTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$ApplyDynamic extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.reflect.api.Trees$SymTree,scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$Tree qual;
   Signature: Lscala/reflect/api/Trees$Tree;
 
diff --git c/scala/reflect/api/Trees$ArrayValue.class w/scala/reflect/api/Trees$ArrayValue.class
index 6d208a9f95..7e134eca58 100644
--- c/scala/reflect/api/Trees$ArrayValue.class
+++ w/scala/reflect/api/Trees$ArrayValue.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //TermTree=class scala/reflect/api/Trees$TermTree of
 public #= # of #; //ArrayValue=class scala/reflect/api/Trees$ArrayValue of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$ArrayValue extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$ArrayValue extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$Tree elemtpt;
   Signature: Lscala/reflect/api/Trees$Tree;
 
diff --git c/scala/reflect/api/Trees$Assign.class w/scala/reflect/api/Trees$Assign.class
index 4594b34619..574033c307 100644
--- c/scala/reflect/api/Trees$Assign.class
+++ w/scala/reflect/api/Trees$Assign.class
@@ -4,7 +4,7 @@ public #= # of #; //Assign=class scala/reflect/api/Trees$Assign of class scala/r
 public abstract #= # of #; //TermTree=class scala/reflect/api/Trees$TermTree of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$Assign extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$Assign extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$Tree lhs;
   Signature: Lscala/reflect/api/Trees$Tree;
 
diff --git c/scala/reflect/api/Trees$Bind.class w/scala/reflect/api/Trees$Bind.class
index 7d76993d49..22b9449d0b 100644
--- c/scala/reflect/api/Trees$Bind.class
+++ w/scala/reflect/api/Trees$Bind.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //DefTree=class scala/reflect/api/Trees$DefTree of cl
 public abstract #= # of #; //AbsName=class scala/reflect/api/Names$AbsName of class scala/reflect/api/Names
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$Bind extends scala.reflect.api.Trees$DefTree implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$Bind extends scala.reflect.api.Trees$DefTree implements scala.Product,scala.Serializable{
 private final scala.reflect.api.Names$AbsName name;
   Signature: Lscala/reflect/api/Names$AbsName;
 
diff --git c/scala/reflect/api/Trees$Block.class w/scala/reflect/api/Trees$Block.class
index 54af0fbb10..2081048957 100644
--- c/scala/reflect/api/Trees$Block.class
+++ w/scala/reflect/api/Trees$Block.class
@@ -4,7 +4,7 @@ public #= # of #; //Block=class scala/reflect/api/Trees$Block of class scala/ref
 public abstract #= # of #; //TermTree=class scala/reflect/api/Trees$TermTree of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$Block extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$Block extends scala.reflect.api.Trees$Tree implements scala.reflect.api.Trees$TermTree,scala.Product,scala.Serializable{
 private final scala.collection.immutable.List stats;
   Signature: Lscala/collection/immutable/List;
 
diff --git c/scala/reflect/api/Trees$CaseDef.class w/scala/reflect/api/Trees$CaseDef.class
index c5f6d956a7..3913cb77aa 100644
--- c/scala/reflect/api/Trees$CaseDef.class
+++ w/scala/reflect/api/Trees$CaseDef.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Tree=class scala/reflect/api/Trees$Tree of class sc
 public #= # of #; //CaseDef=class scala/reflect/api/Trees$CaseDef of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$CaseDef extends scala.reflect.api.Trees$Tree implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$CaseDef extends scala.reflect.api.Trees$Tree implements scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$Tree pat;
   Signature: Lscala/reflect/api/Trees$Tree;
 
diff --git c/scala/reflect/api/Trees$ClassDef.class w/scala/reflect/api/Trees$ClassDef.class
index 0267e7b46d..7f61e198f0 100644
--- c/scala/reflect/api/Trees$ClassDef.class
+++ w/scala/reflect/api/Trees$ClassDef.class
@@ -6,7 +6,7 @@ public #= # of #; //Template=class scala/reflect/api/Trees$Template of class sca
 public abstract #= # of #; //AbsModifiers=class scala/reflect/api/Trees$AbsModifiers of class scala/reflect/api/Trees
 
 Compiled from "Trees.scala"
-public class scala.reflect.api.Trees$ClassDef extends scala.reflect.api.Trees$ImplDef implements scala.ScalaObject,scala.Product,scala.Serializable{
+public class scala.reflect.api.Trees$ClassDef extends scala.reflect.api.Trees$ImplDef implements scala.Product,scala.Serializable{
 private final scala.reflect.api.Trees$AbsModifiers mods;
   Signature: Lscala/reflect/api/Trees$AbsModifiers;
 
